com.google.common.cache

## Interface RemovalListener<K,V>

- Type Parameters:
    `K` - the most general type of keys this listener can listen for; for example `Object` if any key is acceptable
    `V` - the most general type of values this listener can listen for; for example `Object` if any key is acceptable

      @GwtCompatible
      public interface RemovalListener<K,V>

  An object that can receive a notification when an entry is removed from a cache. The removal resulting in notification could have occured to an entry being manually removed or replaced, or due to eviction resulting from timed expiration, exceeding a maximum size, or garbage collection.

  An instance may be called concurrently by multiple threads to process different entries. Implementations of this interface should avoid performing blocking calls or synchronizing on shared resources.

  Since:
    10.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onRemoval(RemovalNotification<K,V> notification)` Notifies the listener that a removal occurred at some point in the past.

- - ### Method Detail

    - #### onRemoval

          void onRemoval(RemovalNotification<K,V> notification)

      Notifies the listener that a removal occurred at some point in the past.

      This does not always signify that the key is now absent from the cache, as it may have already been re-added.